%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define pkg     srs2


Summary:        The Sender Rewriting Scheme (SRS) library
Name:           lib%{pkg}
Version:        1.0.18
Release:        5%{?dist}%{?pext}
License:        GPL
Group:          System Environment/Libraries
Source0:        http://www.%{name}.org/srs/%{name}-%{version}.tar.gz
Patch0:         %{name}-1.0.18-python.patch
URL:            http://www.%{name}.org/
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:         Shevek <srs@anarres.org>
BuildRequires:  python-devel

%description
Libsrs2 implements the Sender Rewriting Scheme, part of the SPF/SRS protocol
pair. SPF (and related systems) present a challenge to forwarders, since the
envelope sender address might be seen by the destination as a forgery by the
forwarding host. Forwarding services must rewrite the envelope sender address,
while encapsulating the original sender and preventing relay attacks. The SRS
provides a standard for this rewriting which makes forwarding compatible with
these address verification schemes, preserves bounce functionality and is not
vulnerable to attacks by spammers.


%package        devel
Summary:        Development tools for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains the static libraries and header files for
developing software using %{name}.


%package     -n %{pkg}-progs
Summary:        Related programs for %{name}
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}
Obsoletes:      %{name}-progs

%description -n %{pkg}-progs
The %{pkg}-progs package contains the SRS interface program.


%package     -n python-%{pkg}
Summary:        Python bindings for %{name}
Group:          System Environment/Libraries
Requires:       %{name} = %{version}-%{release}
Obsoletes:      python-%{name}

%description -n python-%{pkg}
The python-%{pkg} package contains the python bindings for %{name}.


%prep
%setup -q
%patch0 -p1


%build
%configure \
	--enable-shared \
	--enable-static

%{__make} #%{?_smp_mflags}

# Build Python bindings
pushd python
%{__python} setup.py build
popd


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/%{name}.so.?

# Install Python bindings
pushd python
%{__python} setup.py install \
	--skip-build         \
	--root ${RPM_BUILD_ROOT}
popd


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL LICENSE* NEWS README
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/%{pkg}.h
%{_libdir}/%{name}.*a
%{_libdir}/%{name}.so

%files -n %{pkg}-progs
%defattr(-,root,root)
%{_bindir}/srs

%files -n python-%{pkg}
%defattr(-,root,root)
%{python_sitearch}/%{name}.so


%changelog
* Fri Mar 28 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.0.18-5
- Renamed progs and python package

* Thu Mar 27 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.0.18-4
- Rewritten for buildsystem

* Mon Jan 29 2007 peter.pramberger@member.fsf.org 1.0.18-3
- some spec file cleanups (x86_64 support)

* Tue May 23 2006 peter.pramberger@member.fsf.org
- created
